# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "sylvia-iot-coremgr"
version = "0.0.28"
authors = ["Chien-Hong Chan"]
description = "The manager of Sylvia-IoT core modules."
readme = "README.md"
license = "MIT"
repository = "https://github.com/woofdogtw/sylvia-iot-core.git"
resolver = "1"

[profile.release]
lto = true
codegen-units = 1
strip = true

[profile.test]
incremental = true

[dependencies.actix-cors]
version = "0.6.4"

[dependencies.actix-files]
version = "0.6.2"

[dependencies.actix-http]
version = "3.3.1"

[dependencies.actix-service]
version = "2.0.2"

[dependencies.actix-web]
version = "4.3.1"
features = ["rustls"]
default-features = false

[dependencies.actix-web-prom]
version = "0.7.0"

[dependencies.async-stream]
version = "0.3.5"

[dependencies.async-trait]
version = "0.1.73"

[dependencies.base64]
version = "0.21.2"

[dependencies.chrono]
version = "0.4.26"
features = ["serde"]
default-features = false

[dependencies.clap]
version = "4.3.23"
features = [
    "std",
    "help",
    "usage",
    "error-context",
]
default-features = false

[dependencies.csv]
version = "1.2.2"

[dependencies.futures]
version = "0.3.28"

[dependencies.futures-util]
version = "0.3.28"

[dependencies.general-mq]
version = "0.0.28"

[dependencies.hex]
version = "0.4.3"

[dependencies.json5]
version = "0.4.1"

[dependencies.log]
version = "0.4.20"

[dependencies.reqwest]
version = "0.11.18"
features = [
    "json",
    "rustls-tls",
    "stream",
]
default-features = false

[dependencies.rumqttd]
version = "0.17.0"

[dependencies.rustls]
version = "0.20.8"

[dependencies.rustls-pemfile]
version = "1.0.3"

[dependencies.serde]
version = "1.0.185"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.105"

[dependencies.serde_urlencoded]
version = "0.7.1"

[dependencies.sylvia-iot-auth]
version = "0.0.28"

[dependencies.sylvia-iot-broker]
version = "0.0.28"

[dependencies.sylvia-iot-corelib]
version = "0.0.28"

[dependencies.tokio]
version = "1.32.0"
features = [
    "io-util",
    "macros",
    "rt-multi-thread",
    "time",
]

[dependencies.url]
version = "2.4.0"

[dev-dependencies.laboratory]
version = "2.0.0"
